import {randomColorList} from "matrix-middle-service-web/src/views/record/logic/color";
import {createCanvasDir} from "matrix-middle-service-web/src/views/record/logic/icon";

const canvasDir = createCanvasDir();

export function drawLines(map,data,lines){
    map.remove(data.polylines)
    data.polylines = []
    let colorList = randomColorList(lines.length)

    lines.forEach((_data,index) => {
        let path = _data.map((item) => {
            return new AMap.LngLat(item.longitude, item.latitude)
        })

        let polyline = new AMap.Polyline({
            path: path,
            showDir: true,
            dirImg: canvasDir,
            borderWeight: 6, // 线条宽度，默认为 1
            strokeWeight: 6,
            strokeOpacity: 0.9, // 透明度
            strokeColor: colorList[index], // 线条颜色
            dirColor: 'white',
            lineJoin: 'round' // 折线拐点连接处样式})
        })
        data.polylines.push(polyline)
    })

    console.log("polylines",data.polylines)
    map.add(data.polylines)
}
